=== debian/changelog ===
libvalhalla (1.0.1-2) unstable; urgency=low

  * Enable the ffmpeg grabber:
    - add Build-Depends: libavcodec-dev (>= 0.5.1)
    - update symbols file
  * Update Standards-Version to 3.8.4 (no changes).
  * Convert patch headers to DEP-3 format.
  * Convert copyright file to DEP-5 format.
  * Add debian/upstream-metadata.yaml.
  * Conflict with libnfo >= 2.0.0 to ease future upgrades.

 -- Davide Cavalca <davide@geexbox.org>  Sun, 07 Mar 2010 10:49:40 +0100

libvalhalla (1.0.1-1) unstable; urgency=low

  * New upstream release:
    - drop backport-trunk-build-system-fixes.patch as it's now upstream
    - fixes FTBFS on kfreebsd-* and hurd archs
  * Don't install AUTHORS, it's redundant (the authors are already 
    listed in libvalhalla README and in Debian copyright file)
  * Sync libvalhalla-test manual page with upstream trunk
  * Add no-static-libvalhalla-test.patch to prevent static linking of
    libvalhalla-test binary
  * Don't add -fPIC to CFLAGS, it's not needed anymore thanks to the new
    --enable-pic configure option.

 -- Davide Cavalca <davide@geexbox.org>  Tue, 26 Jan 2010 14:06:13 +0100

libvalhalla (1.0.0-2) unstable; urgency=low

  * Add dev packages referenced by pkgconfig to libplayer-dev depends
  * Fix typo in libplayer-dev suggests

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Jan 2010 15:54:12 +0100

libvalhalla (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560047)

 -- Davide Cavalca <davide@geexbox.org>  Thu, 10 Dec 2009 15:02:42 +0100
