=== debian/control ===
Source: libvalhalla
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), libxml2-dev, pkg-config, libcurl4-dev | libcurl4-gnutls-dev, libnfo-dev (>= 1.0.0), libgcrypt-dev, libexif-dev, libsqlite3-dev, libavformat-dev, libavutil-dev, libavcodec-dev (>= 4:0.5.1)
Build-Conflicts: libnfo-dev (>= 2.0.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.8.4
Section: libs
Homepage: http://libvalhalla.geexbox.org/
Vcs-Hg: http://hg.geexbox.org/libvalhalla
Vcs-Browser: http://hg.geexbox.org/libvalhalla/summary

Package: libvalhalla-dev
Section: libdevel
Architecture: any
Depends: libvalhalla1 (= ${binary:Version}), libxml2-dev, libcurl4-dev | libcurl4-gnutls-dev, libnfo-dev (>= 1.0.0), libgcrypt-dev, libexif-dev, libsqlite3-dev, libavformat-dev, libavutil-dev, libavcodec-dev (>= 4:0.5.1), ${misc:Depends}
Suggests: libvalhalla1-dbg (= ${binary:Version}), libvalhalla-doc (= ${binary:Version})
Conflicts: libnfo-dev (>= 2.0.0)
Description: a tiny media scanner library -- development files
 libvalhalla is a scanner and parser library for audio/video files based
 on SQLite and FFmpeg/libavformat.
 .
 Media files are retrieved in paths defined by the user and metadata are
 saved in a database. It provides a very simple API and it can use
 several parsers concurrently to speed up on a multi-core/cpu system.
 .
 This package contains headers and libraries for developing software
 that makes use of libvalhalla.

Package: libvalhalla1-bin
Section: misc
Architecture: any
Depends: libvalhalla1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: test utilities for libvalhalla
 libvalhalla is a scanner and parser library for audio/video files based
 on SQLite and FFmpeg/libavformat.
 .
 Media files are retrieved in paths defined by the user and metadata are
 saved in a database. It provides a very simple API and it can use
 several parsers concurrently to speed up on a multi-core/cpu system.
 .
 This package contains libvalhalla-test, an media indexing utility based
 on libvalhalla.

Package: libvalhalla1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a tiny media scanner library
 libvalhalla is a scanner and parser library for audio/video files based
 on SQLite and FFmpeg/libavformat.
 .
 Media files are retrieved in paths defined by the user and metadata are
 saved in a database. It provides a very simple API and it can use
 several parsers concurrently to speed up on a multi-core/cpu system.

Package: libvalhalla1-dbg
Architecture: any
Section: debug
Depends: libvalhalla1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libvalhalla1
 libvalhalla is a scanner and parser library for audio/video files based
 on SQLite and FFmpeg/libavformat.
 .
 Media files are retrieved in paths defined by the user and metadata are
 saved in a database. It provides a very simple API and it can use
 several parsers concurrently to speed up on a multi-core/cpu system.
 .
 This package contains the debugging symbols for libvalhalla1.

Package: libvalhalla-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libvalhalla-dev
Description: developer documentation for libvalhalla
 libvalhalla is a scanner and parser library for audio/video files based
 on SQLite and FFmpeg/libavformat.
 .
 Media files are retrieved in paths defined by the user and metadata are
 saved in a database. It provides a very simple API and it can use
 several parsers concurrently to speed up on a multi-core/cpu system.
 .
 This package contains developer documentation for libvalhalla.
