## libvalhalla 2.0.0

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,17 @@
 VHTEST = libvalhalla-test
 VHTEST_SRCS = libvalhalla-test.c
 VHTEST_OBJS = $(VHTEST_SRCS:.c=.o)
+VHTEST_MAN = $(VHTEST).1
 
-override CPPFLAGS += -Isrc
-override LDFLAGS += -Lsrc -lvalhalla
+APPS_CPPFLAGS = -Isrc $(CFG_CPPFLAGS) $(CPPFLAGS)
+APPS_LDFLAGS = -Lsrc -lvalhalla $(CFG_LDFLAGS) $(LDFLAGS)
+
+MANS = $(VHTEST_MAN)
 
 ifeq ($(BUILD_STATIC),yes)
-  override LDFLAGS += $(EXTRALIBS)
+ifeq ($(BUILD_SHARED),no)
+  APPS_LDFLAGS += $(EXTRALIBS)
+endif
 endif
 
 DISTFILE = libvalhalla-$(VERSION).tar.bz2
@@ -26,10 +31,12 @@
 	COPYING \
 	README \
 	TODO \
+	$(MANS) \
 
 SUBDIRS = \
 	DOCS \
 	src \
+	tests \
 	utils \
 
 .SUFFIXES: .c .o
@@ -37,16 +44,21 @@
 all: lib apps docs
 
 .c.o:
-	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(CPPFLAGS) -o $@ $<
+	$(CC) -c $(OPTFLAGS) $(CFLAGS) $(APPS_CPPFLAGS) -o $@ $<
+
+config.mak: configure
+	@echo "############################################################"
+	@echo "####### Please run ./configure again - it's changed! #######"
+	@echo "############################################################"
 
 lib:
 	$(MAKE) -C src
 
 $(VHTEST): $(VHTEST_OBJS)
-	$(CC) $(VHTEST_OBJS) $(LDFLAGS) -o $(VHTEST)
+	$(CC) $(VHTEST_OBJS) $(APPS_LDFLAGS) -o $(VHTEST)
 
 apps-dep:
-	$(CC) -MM $(CFLAGS) $(CPPFLAGS) $(VHTEST_SRCS) 1>.depend
+	$(CC) -MM $(CFLAGS) $(APPS_CPPFLAGS) $(VHTEST_SRCS) 1>.depend
 
 apps: apps-dep lib
 	$(MAKE) $(VHTEST)
@@ -57,19 +69,25 @@
 docs-clean:
 	$(MAKE) -C DOCS clean
 
+tests:
+	$(MAKE) -C tests
+
+tests-clean:
+	$(MAKE) -C tests clean
+
 clean:
 	$(MAKE) -C src clean
 	rm -f *.o
 	rm -f $(VHTEST)
 	rm -f .depend
 
-distclean: clean docs-clean
+distclean: clean docs-clean tests-clean
 	rm -f config.log
 	rm -f config.mak
 	rm -f $(DISTFILE)
 	rm -f $(PKGCONFIG_FILE)
 
-install: install-lib install-pkgconfig install-apps install-docs
+install: install-lib install-pkgconfig install-apps install-docs install-man
 
 install-lib: lib
 	$(MAKE) -C src install
@@ -85,7 +103,14 @@
 install-docs: docs
 	$(MAKE) -C DOCS install
 
-uninstall: uninstall-lib uninstall-pkgconfig uninstall-apps uninstall-docs
+install-man: $(MANS)
+	for m in $(MANS); do \
+	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
+	  $(INSTALL) -d $(mandir)/man$$section; \
+	  $(INSTALL) -m 644 $$m $(mandir)/man$$section; \
+	done
+
+uninstall: uninstall-lib uninstall-pkgconfig uninstall-apps uninstall-docs uninstall-man
 
 uninstall-lib:
 	$(MAKE) -C src uninstall
@@ -99,7 +124,13 @@
 uninstall-docs:
 	$(MAKE) -C DOCS uninstall
 
-.PHONY: *clean *install* docs apps*
+uninstall-man:
+	for m in $(MANS); do \
+	  section=`echo $$m | sed -e 's/^.*\\.//'`; \
+	  rm -f $(mandir)/man$$section/$$m; \
+	done
+
+.PHONY: *clean *install* docs tests apps*
 
 dist:
 	-$(RM) $(DISTFILE)
