=== debian/changelog ===
libvalhalla (2.0.0-4) unstable; urgency=low

  * Drop deprecated curl includes (Closes: #637703)
  * Fix FTBFS with libav 0.7 (Closes: #635502)
  * Update Standards-Version to 3.9.2 (no changes)
  * Rework package description to fix lintian warning
    description-synopsis-starts-with-article

 -- Davide Cavalca <davide@geexbox.org>  Wed, 17 Aug 2011 09:37:15 +0200

libvalhalla (2.0.0-3) unstable; urgency=low

  * Correct Build-Depends on libcurl4-dev (Closes: #614989)
  * Backport add-lrt-to-ldflags.patch from upstream trunk, fixes FTBFS 
    when using binutils-gold (Closes: #601022)
  * Update copyright dates

 -- Davide Cavalca <davide@geexbox.org>  Fri, 25 Feb 2011 14:23:10 +0100

libvalhalla (2.0.0-2) unstable; urgency=low

  * Resolve file conflict between libvalhalla2-dbg and libvalhalla1-dbg
    (Closes: #599150)

 -- Davide Cavalca <davide@geexbox.org>  Tue, 05 Oct 2010 09:50:27 +0200

libvalhalla (2.0.0-1) unstable; urgency=low

  * New upstream release:
    - drop Debian package patches as they are now upstream
    - drop Debian manpages for libvalhalla-test util as it's now upstream
    - soname bump: libvalhalla1 -> libvalhalla2
  * Rename package libvalhalla1-bin to libvalhalla-bin
  * Update Standards-Version to 3.9.1 (no changes)
  * Drop Vcs-Pkg fields from control file (Closes: #574398)
  * Update copyright dates

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Oct 2010 09:34:08 +0200
