=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,6 @@
 	./configure $(CONFIGURE_OPTS)
 
 override_dh_strip:
-	dh_strip --dbg-package=libvalhalla1-dbg
+	dh_strip --dbg-package=libvalhalla2-dbg
 
 .PHONY: override_dh_auto_configure override_dh_strip
