=== debian/watch ===
version=3
http://libvalhalla.geexbox.org/releases/libvalhalla-(.*)\.tar\.bz2
